# m3e/focus_trap

FocusTrap is a non-visual element used to trap focus within nested content.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Disabled

</>

Disabled is disables the focus trap.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## FocusTrap

opaque </>

FocusTrap is a View Model for this component

## Fields:

- disabled: Disables the focus trap.

    pub opaque type FocusTrap

# Values

## default_disabled

</>

    pub const default_disabled: Disabled

## disabled

</>

    pub fn disabled(arg: FocusTrap, disabled: Disabled) -> FocusTrap

disabled sets the value of disabled for this FocusTrap.

## new

</>

    pub fn new(disabled: Disabled) -> FocusTrap

new creates a new FocusTrap with the default configuration.

## render

</>

    pub fn render(
      model: FocusTrap,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a FocusTrap

✨